Package wx :: Package lib :: Module graphics :: Class GraphicsBitmap

[frames | no frames]

## Type GraphicsBitmap

        object --+
                 |
    GraphicsObject --+
                     |
                    GraphicsBitmap

A GraphicsBitmap is a wrapper around a cairo ImageSurface. It can be used as a source for drawing images, or as a target of drawing operations.

Method Summary
| ``__init__`(self, width, height, format)` Create either a NULL GraphicsBitmap or an empty one if a size is given
| ``CreateFromBitmap`(bitmap)` Create a GraphicsBitmap from a wx.Bitmap (Static method)
| ``CreateFromBuffer`(buffer, width, height, format, stride)` Creates a GraphicsBitmap that uses the given buffer object as the pixel storage. (Static method)
| ``CreateFromPNG`(filename)` Create a GraphicsBitmap from a PNG file (Static method)
| ``CreateFromSurface`(surface)` Use an existing cairo ImageSurface as a GraphicsBitmap (Static method)
| `IsNull(self)`

Property Summary
| `Format`
| `Height`
| `Size`
| `Stride`
| `Surface`
| `Width`

Instance Method Details

### __init__(self, width=-1, height=-1, format=0)
(Constructor)

Create either a NULL GraphicsBitmap or an empty one if a size is given

  Overrides:
    `__builtin__.object.__init__`

Static Method Details

### CreateFromBitmap(bitmap)

Create a GraphicsBitmap from a wx.Bitmap

### CreateFromBuffer(buffer, width, height, format=0, stride=-1)

Creates a GraphicsBitmap that uses the given buffer object as the pixel storage. This means that the current contents of the buffer will be the initial state of the bitmap, and anything drawn to this surface will be stored in the given buffer.

### CreateFromPNG(filename)

Create a GraphicsBitmap from a PNG file

### CreateFromSurface(surface)

Use an existing cairo ImageSurface as a GraphicsBitmap

Property Details

### Format

  Get Method:
    fget(...)

### Height

  Get Method:
    fget(...)

### Size

  Get Method:
    fget(...)

### Stride

  Get Method:
    fget(...)

### Surface

  Get Method:
    fget(...)

### Width

  Get Method:
    fget(...)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:53 2009 | http://epydoc.sf.net